@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');
@import "styles/client";
@import "styles/person";

*{
  margin: 0;
  padding: 0;
  font-size: 14px;
  line-height: 1.3;
  font-weight: 300;
  font-family: 'Inter', sans-serif;
}
.text-right{
  text-align: right;
}
img.icon-image{
  display: inline;
  vertical-align: middle;
  height: 20px;
}
.author{
  display: inline;
  vertical-align: middle;
  font-style: unset;
  color: #bebebe;
  font-size: 12px;
  font-weight: 400;
}
.preBold{
  display: inline-table;
  color: #BEBEBE;
  font-weight: 700;
  border: 1px solid #BEBEBE;
  border-radius: 4px;
  padding: 2px 3px 3px;
  vertical-align: middle;
  font-size: 12px;
  line-height: 1;
  margin: -2px 0 0 0;
  min-width: 10px;
  text-align: center;
  &.brown{
    color: #AC8258;
    border-color: #AC8258;
  }
}
.typeText{
  display: inline-table;
  font-weight: 400;
  color: #fff;
  padding: 1px 8px;
  border-radius: 8px;
  vertical-align: middle;
  background: #AC8258;
  border: 1px solid #AC8258;
  line-height: 1.4;
}
.el-button{
  img{
    float: right;
  }
}
.el-popper.is-light{
  background: #fff;
  box-shadow: 0px 8px 27px rgba(0, 0, 0, 0.14);
  border-radius: 12px;
  border: none;
  overflow: hidden;
}
.el-dropdown-menu{
  padding: 0;
  border: none;
  background: transparent;
  display: block;
  min-width: 230px;
  li{
    padding: 10px;
    font-weight: 400;
    display: block;
    span{;
      font-weight: 400;
      margin-right: 18px;
    }
    img{
      display: inline;
      vertical-align: middle;
      height: 20px;
      float: right;
    }
    &+li{
      border-top: 1px solid #eee;
    }
    &:hover{
      background: #eee!important;
      color: #333!important;
    }
  }
}
.inputsGroup{
  background: #eee;
  padding-top: 20px;
  border-radius: 10px;
  margin-bottom: 10px;
  .el-button{
    margin-bottom: 20px;
  }
}
.el-form-item,.el-select{
  position: relative;
  width: 100%;
  label{
    position: absolute;
    left: 15px;
    top: 50%;
    transform: translate(0, -50%);
    z-index: 2;
    color: #BEBEBE;
    transition: .2s linear;
    font-size: 16px;
    pointer-events: none;
    &:before{
      display: none;
    }
  }
  .el-input-number{
    width: 100%;
  }
  .el-input{
    .el-input__wrapper{
      padding: 0;
      position: relative;
      overflow: hidden;
      border-color: #BEBEBE;
      border-radius: 15px;
      input{
        padding: 35px 15px 20px;
        color: #000;
        font-size: 16px;
        font-weight: 500;
        text-align: left;
      }
    }
  }
  &:focus-within, &.inputNotEmpty{
    label{
      transform: translate(0,0);
      top: 0;
      font-size: 12px;
    }
  }
}
.el-popconfirm__action{
  button{
    padding: 5px;
    font-size: 14px;
    border-radius: 2px;
    font-weight: 400;
    span{
      font-size: 14px;
      font-weight: 400;
    }
  }
}
.el-select{
  .el-input{
    .el-input__wrapper{
      padding: 0;
      position: relative;
      overflow: hidden;
      border-color: #BEBEBE;
      border-radius: 15px;
      .el-input__suffix{
        padding-right: 15px;
      }
      input{
        padding: 27px 15px;
        color: #000;
        font-size: 16px;
        font-weight: 300;
      }
    }
  }
}
.el-date-editor{
  position: relative;
  display: table;
  width: 100%!important;
  .el-input__wrapper{
    width: 100%;
    padding: 0;
    position: relative;
    overflow: hidden;
    border-color: #BEBEBE;
    border-radius: 15px;
    .el-input__prefix{
      padding-left: 15px;
    }
    input{
      padding: 27px 15px;
      color: #000;
      font-size: 16px;
      font-weight: 300;
    }
  }
}
.el-button{
  border-radius: 15px;
  padding: 20px 15px;
  span{
    font-weight: 500;
    font-size: 14px;
    line-height: 1.6;
  }
  &.el-button--primary{
    background: #AC8258;
    border-color: #AC8258;
  }
  &.el-button--info{
    background: #FFFCF8;
    border-color: #FFFCF8;
    color: #AC8258;
  }
}
.formLink{
  display: table;
  color: #000;
  font-weight: 500;
  text-decoration: none;
  border-bottom: 1px solid #000;
}
.public-layout {
  min-height: 100vh;
  background: #FFFCF8;
  .el-row{
    height: 100vh;
    &>div{
      height: 100%;
      &.leftBlock{
        padding: 60px 80px;
        position: relative;
        h1{
          display: table;
          font-weight: 800;
          font-size: 46px;
          margin: 0 0 80px;
        }
        .el-form{
          display: block;
          position: absolute;
          top: 50%;
          left: 80px;
          transform: translate(0, -40%);
          width: calc(100% - 160px);
          margin: 0;
          .formLink{
            margin: 0 0 35px;
          }
          .el-button{
            width: 100%;
            padding: 28px 15px;
            span{
              font-weight: 600;
              font-size: 16px;
            }
          }
        }
      }
    }
  }
}
.homeIconBlock{
  background: #F9F5F0;
  border-radius: 80px 0 0 80px;
  height: 100%;
  position: relative;
  img{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    max-height: 60%;
    max-width: 60%;
    object-fit: contain;
    object-position: center;
  }
}

.cabinet-container{
  padding: 30px;
  min-height: 100vh;
  height: 100vh;
  overflow-y: auto;
  .headBlock{
    margin: 0 0 30px;
    h1{
      display: table;
      margin: 0;
      font-weight: 800;
      font-size: 56px;
    }
    .headDescription{
      display: table;
      margin: 0;
      color: #BEBEBE;
      font-weight: 400;
    }
    .prev-link{
      display: table;
      margin: 0 0 15px;
      color: #333;
      text-decoration: none;
      font-weight: 500;
      img{
        margin-top: -3px;
        margin-right: 4px;
      }
    }
    .headText{
      display: table;
      margin: 15px 0;
      font-weight: 500;
      .preBold{
        margin-right: 7px;
      }
      .typeText{
        margin-left: 7px;
      }
    }
  }
}
.el-tabs{
  .el-tabs__nav-wrap{
    &:after{
      display: none;
    }
    .el-tabs__active-bar{
      display: none;
    }
    .el-tabs__item{
      padding: 0;
      font-weight: 700;
      font-size: 20px;
      color: #BEBEBE;
      &+.el-tabs__item{
        margin-left: 15px;
      }
      &.is-active{
        color: #000;
      }
    }
  }
}
.forMobile{
  display: none;
}
.el-aside{
  background: #F8F8F8;
  position: relative;
  width: auto;
  display: block;
  &>div{
    display: inline-block;
    vertical-align: top;
    padding: 0;
    max-width: 350px;
    .inAsideBlock{
      display: block;
      padding: 30px;
      position: relative;
    }
    img.logo{
      display: table;
      width: 100%;
      margin: 0 0 15px;
      &:hover{
        cursor: pointer;
      }
    }
    a{
      display: block;
      padding: 15px;
      border: 1px solid #eee;
      text-decoration: none;
      font-weight: 500;
      color: #000;
      border-radius: 15px;
      &.profileLink{
        margin: 0 0 30px;
        border: 1px solid #E9E9E9;
        &.forMobile{
          display: none;
        }
        img{
          float: right;
          margin: -2px 0 0;
        }
      }
    }
    .menu{
      display: block;
      margin: 0;
      padding: 0;
      li{
        display: block;
        margin: 0;
        a{
          border-color: transparent;
          position: relative;
          img{
            display: inline-table;
            vertical-align: middle;
            margin: -5px 10px 0 0;
          }
          &.active-nav{
            background: #AC8258;
            color: #fff;
            img{
              filter: brightness(0) invert(1);
            }
            &:after{
              content: '';
              position: absolute;
              top: 50%;
              right: 15px;
              transform: translate(0,-50%);
              width: 8px;
              height: 8px;
              border-radius: 50%;
              background: #fff;
            }
          }
        }
        &+li{
          margin-top: 10px;
        }
      }
    }
  }
  #secondAside{
    width: 250px;
    background: #fff;
    height: 100%;
    border-right: 1px solid #BEBEBE;
  }
}
.mainCabinetPage{
  .itemBlock{
    display: block;
    background: #F8F8F8;
    border: 1px solid #F8F8F8;
    padding: 16px;
    border-radius: 8px;
    margin: 0 0 20px;
    height: 180px;
    position: relative;
    p.head{
      display: table;
      margin: 0;
      color: #AC8258;
      font-weight: 700;
      font-size: 20px;
    }
    a{
      position: absolute;
      right: 16px;
      top: 16px;
      display: table;
    }
    .content{
      position: absolute;
      display: table;
      max-width: 80%;
      bottom: 16px;
      left: 16px;
      p.name{
        display: table;
        margin: 0 0 5px;
        color: #000;
        font-weight: 700;
      }
      p.descr{
        display: table;
        margin: 0;
        font-weight: 400;
        color: #BEBEBE;
      }
    }
    .iconBlock{
      display: table;
      position: absolute;
      bottom: 16px;
      right: 16px;
      background: #AC8258;
      width: 32px;
      height: 32px;
      text-align: center;
      border-radius: 8px;
      img{
        margin: 15% 0 0;
        width: 70%;
        height: 70%;
        object-fit: contain;
        object-position: center;
      }
    }
    &.addItemBlock{
      background: transparent;
      border: 1px solid #BEBEBE;
      button{
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        border: none;
        background: transparent;
        color: #AC8258;
        font-weight: 700;
        margin: 0 ;
        font-size: 18px;
        img{
          display: table;
          height: 40px;
          width: 40px;
          object-fit: contain;
          object-position: center;
          margin: 0 auto 10px;
        }
      }
    }
  }
}

@media (max-width: 678px) {
  .public-layout .el-row > div.leftBlock {
    padding: 50px 30px;
  }

  .public-layout .el-row > div.leftBlock h1 {
    font-size: 24px;
    text-align: center;
    margin: 0 auto;
  }

  .public-layout .el-row > div.leftBlock h1 br {
    display: none;
  }

  .public-layout .el-row > div.leftBlock .el-form {
    position: relative;
    width: 100%;
    margin: 30px 0 0;
    transform: none;
    top: 0;
    left: 0;
  }

  .el-form-item .el-input .el-input__wrapper input {
    font-size: 14px;
    padding: 30px 15px 20px;
  }

  .el-form-item label {
    font-size: 14px;
  }

  .public-layout .el-row > div.leftBlock .el-form .el-button {
    padding: 22px 15px;
  }

  .public-layout .el-row > div.leftBlock .el-form .el-button span {
    font-size: 14px;
  }

  .public-layout .el-row {
    height: auto;
  }

  .public-layout .el-row > div {
    height: auto;
  }

  .homeIconBlock {
    height: auto;
    background: transparent;
  }

  .homeIconBlock img {
    position: relative;
    top: 0;
    left: 0;
    display: table;
    margin: 0 auto;
    width: 50%;
    height: 200px;
    transform: none;
  }

  .public-layout .el-row > div.leftBlock .el-form .formLink {
    margin: 0 0 20px;
  }
  .main-container{
    display: block;
    .el-aside {
      &>div{
        display: block;
        max-width: unset;
      }
      .inAsideBlock {
        padding: 15px;
        img.logo{
          display: inline-table;
          max-width: 50%;
          margin-bottom: 0;
          vertical-align: middle;
        }
        a.profileLink{
          display: none;
        }
        button.burger-button{
          display: inline-table;
          vertical-align: middle;
          border: none;
          background: transparent;
          margin: 10px 0 0;
          float: right;
          img{
            transform: rotate(180deg);
            margin: -1px 0 0;
            &.menuOpened{
              transform: rotate(0deg);
            }
          }
        }
        ul.menu{
          margin: 20px 0 0;
          display: none;
          &.menuOpened{
            display: block;
          }
          li{
            a{
              padding: 10px;
              font-size: 12px;
              img{
                height: 20px;
              }
            }
          }
        }
      }
      #secondAside{
        display: block;
        width: auto;
        border: none;
        border-bottom: 1px solid #eee;
        .inAsideBlock{
          padding: 10px 15px;
          overflow-x: auto;
          display: block;
          ul.menu{
            display: table;
            margin: 0;
            li{
              display: inline-table;
              vertical-align: middle;
              margin: 0;
              &+li{
                margin: 0 0 0 10px;
              }
              a{
                padding: 2px 5px;
                border-radius: 2px;
                &:after{
                  display: none;
                }
              }
            }
          }
        }
      }
    }
  }
  .forMobile{
    display: inline-table;
  }
  .cabinet-container{
    padding: 10px 15px;
    height: auto;
    overflow: hidden;
    .headBlock{
      margin: 0 0 15px;
      .prev-link{
        font-size: 12px;
        img{
          height: 16px;
        }
      }
      h1{
        font-size: 22px!important;
      }
      .headText{
        margin: 10px 0;
        line-height: 2.2;
        font-size: 12px;
        *{
          font-size: 12px;
        }
      }
      .headDescription{
        font-weight: 300;
        font-size: 14px;
      }
    }
    .mainCabinetPage{
      .itemBlock{
        p.head{
          font-size: 16px;
        }
        .content{
          p.name{
            font-size: 12px;
          }
          p.descr{
            font-size: 12px;
            max-width: 90%;
          }
        }
      }
    }
  }
  .el-dropdown-menu{
    li{
      padding: 6px 15px;
      span{
        font-size: 12px;
      }
      img{
        height: 20px;
      }
    }
  }
  .el-tabs .el-tabs__nav-wrap .el-tabs__item{
    font-size: 14px;
    height: auto;
    padding: 10px 0 0;
  }
}